Versão 5.02.0004 problema nos formularios...

Atualizei para essa versão e 5 formulários simples não funcionam mais !!! Fui procurar o erro e percebi que no menu “selecionar campos” os campos do formulários que deveriam estar do lado direito ou seja selecionados estão em branco. Manualmente tento adicionar eles e quando dou salvar eles voltam para a coluna da esquerda !!! Acredito que seja só esse erro que me bagunçou tudo aqui…e agora o que eu faço ? ? ? Tentei duplicar o form e nada…Alguém tem idéia de como arrumar isso ou vou ter que começar do zero esses 5 formulários ? ? ?

Abraços…

Vê se vc tem um backup antes de ter tentado arrumar esses formulários, ai vc volta o backup atualiza para 5.2.004 exporta o PROJETO inteiro, exclui o projeto e depois importa o projeto inteiro novamente, ai deve ficar certo.

Bom dia erenha.

Você atualizou de qual release para a 5.2.0004?

Esses 5 forms tem ligações com outras aplicações?

Foi gerado o fonte de todas as aplicações do projeto após atualização da versão?

Você está utilizando o Digita?

Código da Aplicação form_sit_trib (5.01.0018)

Form simples sem ligação e codigos…

Quando você tenta gerar cada 1 dos formulários já aparece essa mensagem:

“Faltou marcar campos que devem fazer parte do Formulário”

Certo, mas o form foi criado na versão 5.1.0008 e você atualizou diretamente para a 5.2.0004 e gerou fonte?

Preciso saber desse detalhe para saber se foi algo relacionado a release.

Depois que atualizei para a 5.02.0004 minhas aplicações estão com vários comportamentos estranhos, como campos ajax que não atualizam e forms que paralisam o funcionamento depois de mandar salvar as alterações, nem salvam e nem movimenta mais entre os registros.
Espero que NM resolva o mais urgente possível, pois está atrapalhando a minha produção.
Rodrigo

rrma.

Para poder lhe ajudar, gostaria de saber se você atualizou da 5.1.0008 para a 5.2.0004?

Ou se atualizou da 5.2.0003 para a 5.2.0004.

Infelizmente não sei informar qual era minha versão anterior, pois já não atualizava a alguns dias.
De qualquer forma agradeço e aguardo por uma solução.
Rodrigo

Dessa forma fica difícil simular o problema. Não consegui simular algo parecido.

Entre em contato com o suporte, que poderão lhe ajudar.

Erro ao regerar todos os fontes com a última atualização:

simplexml_load_string() [function.simplexml-load-string]: Entity: line 25: parser error : Input is not proper UTF-8, indicate encoding ! Bytes: 0xED 0x73 0x69 0x63 | Script: /var/www/sc/scriptcase-5.0.000-pt_br/devel/class/xmlparser/nmXmlparserDefcomp.class.php linha: 161

Rode o seguinte script:

http://localhost/scriptcase5/devel/lib/php/fixs/xmlCharset/xmlCharset.php

O que está em negrito vai depender da porta que você instalou e o nome da pasta do scriptcase.

fiz como falou e o resultado segue abaixo:

PHP Warning: Directive ‘register_long_arrays’ is deprecated in PHP 5.3 and greater in Unknown on line 0
PHP Warning: Directive ‘magic_quotes_gpc’ is deprecated in PHP 5.3 and greater in Unknown on line 0
Cannot load Zend Extension Manager - it was built with configuration 1.2.0, whereas running engine is API220090626,NTS
PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/local/lib/php/extensions/no-debug-non-zts-20090626/java.so’ - /usr/local/lib/php/extensions/no-debug-non-zts-20090626/java.so: cannot open shared object file: No such file or directory in Unknown on line 0
?????? ?????????U???4???�???]???"?????????�???

Após rodar o script, e ser alterado algumas especificações, gerou o código fonte de todo o projeto?

Apareceu o mesmo erro?

Permaneceu o mesmo erro:

simplexml_load_string() [function.simplexml-load-string]: Entity: line 25: parser error : Input is not proper UTF-8, indicate encoding ! Bytes: 0xED 0x73 0x69 0x63 | Script: /var/www/sc/scriptcase-5.0.000-pt_br/devel/class/xmlparser/nmXmlparserDefcomp.class.php linha: 161

Identifiquei o form que está gerando esse erro na geração dos fontes. O interessante que ao mandar executá-lo (gerando fonte de qq forma) o form funciona normal. Quando mando gerar só os fontes dele o erro acontece. É um form bem simples, sem codificação manual.

Ok, entre em contato com o suporte da Netmake.

Atualizei para 5.02.0005 e continua o mesmo problema…

Também atualizei e o problema do botão “atualizar” que não funciona continua. Passei 1 mês aparando as arestas de 2 forms bem trabalhosos e perdi meu trabalho inteiro por conta dessa atualização. Tava até pensando em pagar pra atualizar meu sc, mas desse jeito não tem chance. Além do grande problema que está me causando as mudanças não foram significativas.
Os forms novos funcionam normal, mas as apps que já tinha criado e ficaram com problema parece que não terão jeito, como se algo no banco do sc estivesse com problema, gerando sempre o mesmo erro.
Ponto pra NM, mais uma vez.
Rodrigo

é amigo, complicado, ja passei por isso a solução q estou encontrando temporariamente para não passar mais apuros é
1-fazer as atualizações manualmente, baixanso o zip
2-antes de atualizar tenho mantido backup exportado de cada projeto
3-ainda faço um backup da pasta scriptcase antes de copiar o conteudo…

por enquanto ta dando certo, mas tb tem um detalhe projetos mais antigos que eu exportei uma vez deixei no meu backup e os clientes nao pedem alteração ha algum tempo não rodei mais entao so os mais recentes mas nao tenho tido problema fazendo esse procedimento …

Vou ter que adotar este método também, valeu pelas dicas!
Rodrigo

rrma por curiosidade a novela anterior a essa mensagem foi resolvida ou o suporte da netmake de deixou na mão

abcs

.